juzu.io

## Class UndeclaredIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.reflect.UndeclaredThrowableException
        - - juzu.io.UndeclaredIOException

- All Implemented Interfaces:
    Serializable

      public class UndeclaredIOException
      extends UndeclaredThrowableException

  An unchecked wrapper for `IOException`. Note that this exception should not be abused, i.e it should not be used in place of `IOException`. It should be used in the Juzu API used to develop an application, which makes the `IOException` transparent to the developer, for instance we want to void the developer to care about the `IOException` in this situation:

          public void index() throws IOException {
             template.render();
          }

  Instead the `Template.render()` methods wraps the `IOException` with this unchecked wrapper and the developer does not have to care about it anymore:

          public void index() {
             template.render();
          }

  Author:
    Julien Viet
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndeclaredIOException(IOException undeclaredIO)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IOException` | `getCause()`

    - ### Methods inherited from class java.lang.reflect.UndeclaredThrowableException

      `getUndeclaredThrowable`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UndeclaredIOException

          public UndeclaredIOException(IOException undeclaredIO)

  - ### Method Detail

    - #### getCause

          public IOException getCause()

      Overrides:
        `getCause` in class `UndeclaredThrowableException`

Copyright © 2013 eXo Platform SAS. All Rights Reserved.